Update Inbox Document
curl --request PUT \
--url https://{host}/cleemy-procurement/services/inbox-documents/{id} \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"document": {
"ownerId": 123,
"context": {
"purchase": {
"id": 123
}
},
"documentDate": "2023-12-25",
"documentNumber": "<string>",
"amountIncludingTaxes": {
"excludingTaxes": {
"value": 123
},
"taxes": [
{
"rateTypeId": 123,
"value": 123
}
],
"includingTaxes": {
"value": 123
}
},
"accountingLabel": "<string>",
"comment": "<string>",
"intraCommunityTaxes": true,
"dueDate": "2023-12-25",
"paymentDetails": {
"bankAccount": {
"iban": "<string>",
"bic": "<string>"
}
}
},
"action": {
"type": "AttachPurchase",
"purchaseId": 123,
"paymentId": 123,
"installmentId": 123,
"disputeId": 123,
"autoConfirmation": true
}
}
'import requests
url = "https://{host}/cleemy-procurement/services/inbox-documents/{id}"
payload = {
"document": {
"ownerId": 123,
"context": { "purchase": { "id": 123 } },
"documentDate": "2023-12-25",
"documentNumber": "<string>",
"amountIncludingTaxes": {
"excludingTaxes": { "value": 123 },
"taxes": [
{
"rateTypeId": 123,
"value": 123
}
],
"includingTaxes": { "value": 123 }
},
"accountingLabel": "<string>",
"comment": "<string>",
"intraCommunityTaxes": True,
"dueDate": "2023-12-25",
"paymentDetails": { "bankAccount": {
"iban": "<string>",
"bic": "<string>"
} }
},
"action": {
"type": "AttachPurchase",
"purchaseId": 123,
"paymentId": 123,
"installmentId": 123,
"disputeId": 123,
"autoConfirmation": True
}
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
document: {
ownerId: 123,
context: {purchase: {id: 123}},
documentDate: '2023-12-25',
documentNumber: '<string>',
amountIncludingTaxes: {
excludingTaxes: {value: 123},
taxes: [{rateTypeId: 123, value: 123}],
includingTaxes: {value: 123}
},
accountingLabel: '<string>',
comment: '<string>',
intraCommunityTaxes: true,
dueDate: '2023-12-25',
paymentDetails: {bankAccount: {iban: '<string>', bic: '<string>'}}
},
action: {
type: 'AttachPurchase',
purchaseId: 123,
paymentId: 123,
installmentId: 123,
disputeId: 123,
autoConfirmation: true
}
})
};
fetch('https://{host}/cleemy-procurement/services/inbox-documents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"document": {
"id": 123,
"owner": {
"id": 123,
"href": "<string>",
"name": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"pictureHref": "<string>"
},
"context": {
"purchase": {
"id": 123,
"href": "<string>",
"name": "<string>"
}
},
"documentBreakdown": {
"id": 2,
"href": "<string>",
"name": "<string>"
},
"documentDate": "2023-12-25",
"documentNumber": "<string>",
"amountIncludingTaxes": {
"excludingTaxes": {
"value": 123
},
"taxes": [
{
"rateTypeId": 123,
"value": 123
}
],
"includingTaxes": {
"value": 123
}
},
"accountingLabel": "<string>",
"comment": "<string>",
"intraCommunityTaxes": true,
"attachments": [
{
"id": 123,
"file": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"href": "<string>",
"name": "<string>",
"displayHref": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"pages": {
"displayHrefTemplate": "<string>",
"count": 123
}
}
],
"dueDate": "2023-12-25",
"paymentDetails": {
"bankAccount": {
"iban": "<string>",
"bic": "<string>"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z",
"author": {
"id": 123,
"href": "<string>",
"name": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"pictureHref": "<string>"
},
"modifier": {
"id": 123,
"href": "<string>",
"name": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"pictureHref": "<string>"
}
},
"source": {
"type": "<string>"
},
"action": {},
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z",
"author": {
"id": 123,
"href": "<string>",
"name": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"pictureHref": "<string>"
},
"modifier": {
"id": 123,
"href": "<string>",
"name": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"pictureHref": "<string>"
}
}Inbox services
Update Inbox Document
Update an inbox document and optionally attach or create a purchase.
PUT
/
cleemy-procurement
/
services
/
inbox-documents
/
{id}
Update Inbox Document
Headers
API key. Value must be formatted like so: lucca application={api_key}.
Path Parameters
ID of the inbox document.
Body
application/json
Inbox document data to update.
Response
200 - application/json
OK
A document in the inbox, pending processing.
An invoice document (before booking).
Show child attributes
Show child attributes
Source of the document (e.g. email, upload).
Show child attributes
Show child attributes
Available action on this inbox document.
Reference to a user.
Show child attributes
Show child attributes
Reference to a user.
Show child attributes
Show child attributes
Was this page helpful?
⌘I